Bug 101740 - [IGT][CFL only] perf i915-ref-count SKIP test Failed assertion: drm_fd == -1
Summary: [IGT][CFL only] perf i915-ref-count SKIP test Failed assertion: drm_fd == -1
Status: RESOLVED MOVED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: DRI git
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: ReadyForDev
Keywords:
: 109545 (view as bug list)
Depends on:
Blocks:
 
Reported: 2017-07-10 16:59 UTC by Ricardo Madrigal
Modified: 2019-11-29 17:24 UTC (History)
2 users (show)

See Also:
i915 platform: CFL
i915 features: Perf/OA


Attachments
testlog.log (855 bytes, text/plain)
2017-07-10 16:59 UTC, Ricardo Madrigal
no flags Details
kern.log (234.25 KB, text/plain)
2017-07-10 16:59 UTC, Ricardo Madrigal
no flags Details
dmesg.log (10.13 KB, text/plain)
2017-07-10 17:00 UTC, Ricardo Madrigal
no flags Details
Kernel log (179.53 KB, text/plain)
2017-07-10 18:52 UTC, Armando Antonio
no flags Details
dmesg (121.80 KB, text/plain)
2017-07-10 18:52 UTC, Armando Antonio
no flags Details
CFL-Kern-Log (160.35 MB, text/plain)
2018-01-29 22:05 UTC, Ricardo Perez
no flags Details
CFL-dmesg-kernel-logs (106.96 KB, application/gzip)
2018-01-31 06:17 UTC, Ricardo Perez
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ricardo Madrigal 2017-07-10 16:59:20 UTC
Created attachment 132591 [details]
testlog.log

The following test fail on KBL  with latest configuration

Test list
====================================================
igt@perf@i915-ref-count
==================================================

====================================================
Graphic Stack
====================================================
Component: drm
    tag: libdrm-2.4.81-24-g3095cc8
    commit: 3095cc8eaba1aa87ad38c04ae2b1eabe30f7e16c
Component: cairo
    tag: 1.15.6-2-g57b4050
    commit: 57b40507dda3f58dfc8635548d606b86dc7bcf51
Component: intel-gpu-tools
    tag: intel-gpu-tools-1.19-57-g6fcc8e8
    commit: 6fcc8e8b247661c7950b998e0b95141ffbd6b833
Component: piglit
    tag: piglit-v1
    commit: c8f4fd9eeb298a2ef0855927f22634f794ef3eff

======================================
             Hardware
======================================
motherboard id             : NUC7i5BNB
form factor                : Desktop
cpu family                 : Core i5
cpu family id              : 6
cpu information            : Intel(R) Core(TM) i5-7260U CPU @ 2.20GHz
gpu card                   : Intel Corporation Device 5926 (rev 06) (prog-if 00 [VGA controller])
memory ram                 : 15.58 GB
max memory ram             : 32 GB
cpu thread                 : 4
cpu core                   : 2
cpu model                  : 142
cpu stepping               : 9
socket                     : Other
signature                  : Type 0, Family 6, Model 142, Stepping 9
hard drive                 : 111GiB (120GB)
current cd clock frequency : 337500 kHz
maximum cd clock frequency : 675000 kHz
displays connected         : DP-1
Comment 1 Ricardo Madrigal 2017-07-10 16:59:47 UTC
Created attachment 132592 [details]
kern.log
Comment 2 Ricardo Madrigal 2017-07-10 17:00:03 UTC
Created attachment 132593 [details]
dmesg.log
Comment 3 Armando Antonio 2017-07-10 18:51:58 UTC
The following test fail on GLK with latest configuration

====================================================
Test list
====================================================
igt@perf@i915-ref-count

Output:

gfx@gfx-desktop:~/intel-graphics/intel-gpu-tools/tests$ sudo -E ./perf --r i915-ref-count --d
IGT-Version: 1.19-g6fcc8e8 (x86_64) (Linux: 4.12.0-24346e8-mipi-configs-g24346e8-dirty x86_64)
(perf:1481) igt-core-DEBUG: Test requirement passed: !igt_run_in_simulation()
(perf:1481) DEBUG: Test requirement passed: stat("/proc/sys/dev/i915/perf_stream_paranoid", &sb) == 0
(perf:1481) DEBUG: Test requirement passed: stat("/proc/sys/dev/i915/oa_max_sample_rate", &sb) == 0
(perf:1481) igt-core-DEBUG: Starting subtest: i915-ref-count
(perf:1481) CRITICAL: Test assertion failure function read_i915_module_ref, file perf.c:2186:
(perf:1481) CRITICAL: Failed assertion: !"reached"
Stack trace:
  #0 [__igt_fail_assert+0x101]
  #1 [read_i915_module_ref+0x11d]
  #2 [__real_main2275+0xf7]
  #3 [main+0x33]
  #4 [__libc_start_main+0xf1]
  #5 [_start+0x29]
  #6 [<unknown>+0x29]
Subtest i915-ref-count failed.
**** DEBUG ****
(perf:1481) CRITICAL: Test assertion failure function read_i915_module_ref, file perf.c:2186:
(perf:1481) CRITICAL: Failed assertion: !"reached"
****  END  ****
Subtest i915-ref-count: FAIL (0.002s)
(perf:1481) igt-debugfs-DEBUG: Opening debugfs directory '/sys/kernel/debug/dri/0'
Test requirement not met in function __real_main2275, file perf.c:2303:
Test requirement: IS_HASWELL(devid)
Last errno: 2, No such file or directory
(perf:1481) igt-core-DEBUG: Exiting with status code 99
(perf:1481) igt-debugfs-DEBUG: Opening debugfs directory '/sys/kernel/debug/dri/0'


====================================================
Graphic Stack
====================================================
Component: drm
    tag: libdrm-2.4.81-24-g3095cc8
    commit: 3095cc8eaba1aa87ad38c04ae2b1eabe30f7e16c
Component: cairo
    tag: 1.15.6-2-g57b4050
    commit: 57b40507dda3f58dfc8635548d606b86dc7bcf51
Component: intel-gpu-tools
    tag: intel-gpu-tools-1.19-57-g6fcc8e8
    commit: 6fcc8e8b247661c7950b998e0b95141ffbd6b833
Component: piglit
    tag: piglit-v1
    commit: c8f4fd9eeb298a2ef0855927f22634f794ef3eff

======================================
             Hardware
======================================
platform                   : Geminilake
motherboard model          : Geminilake
motherboard id             : GLKRVP1DDR4(05)
form factor                : Hand Held
manufacturer               : IntelCorp.
cpu family                 : Other
cpu family id              : 6
cpu information            : Genuine Intel(R) CPU @ 1.10GHz
gpu card                   : Intel Corporation Device 3184 (rev 01) (prog-if 00 [VGA controller])
memory ram                 : 3.43 GB
max memory ram             : 16 GB
display resolution         : 5440x1080
cpu thread                 : 4
cpu core                   : 4
cpu model                  : 122
cpu stepping               : 0
socket                     : Other
hard drive                 : 111GiB (120GB)
current cd clock frequency : 316800 kHz
maximum cd clock frequency : 316800 kHz
displays connected         : DSI-1 HDMI-A-2
Comment 4 Armando Antonio 2017-07-10 18:52:17 UTC
Created attachment 132598 [details]
Kernel log
Comment 5 Armando Antonio 2017-07-10 18:52:34 UTC
Created attachment 132599 [details]
dmesg
Comment 6 Elizabeth 2017-07-18 16:04:03 UTC
Adding tag into "Whiteboard" field - ReadyForDev
*Status is correct
*Platform is included
*Feature is included
*Priority and Severity correctly set
*Logs included
Comment 7 Lionel Landwerlin 2017-07-18 17:14:09 UTC
Could you post the content of /proc/modules on one of the machine that fails that test?
It almost seems like the driver has been unloaded.
Comment 8 Armando Antonio 2017-07-20 17:24:19 UTC
/proc/module

snd_hda_codec_hdmi 49152 1 - Live 0x0000000000000000
snd_hda_codec_realtek 90112 1 - Live 0x0000000000000000
x86_pkg_temp_thermal 16384 0 - Live 0x0000000000000000
snd_hda_codec_generic 69632 1 snd_hda_codec_realtek, Live 0x0000000000000000
intel_powerclamp 16384 0 - Live 0x0000000000000000
coretemp 16384 0 - Live 0x0000000000000000
crct10dif_pclmul 16384 0 - Live 0x0000000000000000
crc32_pclmul 16384 0 - Live 0x0000000000000000
ghash_clmulni_intel 16384 0 - Live 0x0000000000000000
snd_hda_intel 36864 0 - Live 0x0000000000000000
snd_hda_codec 110592 4 snd_hda_codec_hdmi,snd_hda_codec_realtek,snd_hda_codec_generic,snd_hda_intel, Live 0x0000000000000000
snd_hwdep 16384 1 snd_hda_codec, Live 0x0000000000000000
snd_hda_core 73728 5 snd_hda_codec_hdmi,snd_hda_codec_realtek,snd_hda_codec_generic,snd_hda_intel,snd_hda_codec, Live 0x0000000000000000
snd_pcm 90112 4 snd_hda_codec_hdmi,snd_hda_intel,snd_hda_codec,snd_hda_core, Live 0x0000000000000000
mei_me 53248 0 - Live 0x0000000000000000
mei 98304 1 mei_me, Live 0x0000000000000000
r8169 81920 0 - Live 0x0000000000000000
mii 16384 1 r8169, Live 0x0000000000000000
i915 1994752 2 - Live 0x0000000000000000
prime_numbers 16384 1 i915, Live 0x0000000000000000
i2c_hid 20480 0 - Live 0x0000000000000000
Comment 9 Ricardo Madrigal 2017-07-24 19:42:37 UTC
The following tests fail on BXT with latest configuration

====================================================
Test list
====================================================
igt@perf@i915-ref-count

====================================================
Graphic Stack
====================================================
Component: drm
    tag: libdrm-2.4.81-27-gac21401
    commit: ac214017904b31bc5f80f802d748d5f4f3149d22

Component: cairo
    tag: 1.15.6-2-g57b4050
    commit: 57b40507dda3f58dfc8635548d606b86dc7bcf51

Component: intel-gpu-tools
    tag: intel-gpu-tools-1.19-88-ga844ccb
    commit: a844ccbdbab9fd16c37de81281c6281bc800e97a

Component: piglit
    tag: piglit-v1
    commit: 8717219b07c0cf2853540c373725a23654467d45


======================================
             Hardware
======================================
motherboard model          : NUC6CAYS
motherboard id             : NUC6CAYB
form factor                : Desktop
manufacturer               : Intelcorporation
cpu family                 : Celeron
cpu family id              : 6
cpu information            : Intel(R) Celeron(R) CPU J3455 @ 1.50GHz
gpu card                   : Intel Corporation Device 5a85 (rev 0b) (prog-if 00 [VGA controller])
memory ram                 : 15.54 GB
max memory ram             : 32 GB
cpu thread                 : 4
cpu core                   : 4
cpu model                  : 92
cpu stepping               : 9
socket                     : Other
signature                  : Type 0, Family 6, Model 92, Stepping 9
hard drive                 : 279GiB (300GB)
current cd clock frequency : 288000 kHz
maximum cd clock frequency : 624000 kHz
displays connected         : DP-1 DP-2
Comment 10 Armando Antonio 2017-07-25 20:01:56 UTC
The following test fail on BDW with latest configuration

====================================================
Test list
====================================================
igt@perf@i915-ref-count


====================================================
Graphic Stack
====================================================
Component: drm
    tag: libdrm-2.4.81-33-g3876bc2
    commit: 3876bc246a07070a6043159cd7623d4def9bbd4c

Component: cairo
    tag: 1.15.6-2-g57b4050
    commit: 57b40507dda3f58dfc8635548d606b86dc7bcf51

Component: intel-gpu-tools
    tag: intel-gpu-tools-1.19-112-g493151b
    commit: 493151b0768aa4ca535cef49cb7efa174a9c3a77

Component: piglit
    tag: piglit-v1
    commit: 973892687cf5c2f8e2dbe1d22998b82736643787

======================================
             Software
======================================
kernel version              : 4.13.0-rc1-drm-tip-ww30-commit-2a4f730+
/bin/bash: BDW-2-NUC5i7RYB: command not found
architecture                : x86_64
os version                  : Ubuntu 16.10
os codename                 : yakkety
kernel driver               : i915
bios revision               : 5.6
bios release date           : 05/29/2015
hardware acceleration       : disabled
swap partition              : enabled on (/dev/sda3)

======================================
        Graphic drivers
======================================
modesetting                 : enabled
modesetting compiled for    : 1.18.4 X.Org Video Driver
xorg-xserver                : 1.18.4
libdrm                      : 2.4.82
cairo                       : 1.15.7
intel-gpu-tools (tag)       : intel-gpu-tools-1.19-116-g76bce77
intel-gpu-tools (commit)    : 76bce77

======================================
             Hardware
======================================
platform                   : Broadwell
motherboard id             : NUC5i7RYB
form factor                : Desktop
cpu family                 : Core i7
cpu family id              : 6
cpu information            : Intel(R) Core(TM) i7-5557U CPU @ 3.10GHz
gpu card                   : Intel Corporation Iris Graphics 6100 (rev 09) (prog-if 00 [VGA controller])
memory ram                 : 7.71 GB
max memory ram             : 16 GB
cpu thread                 : 4
cpu core                   : 2
cpu model                  : 61
cpu stepping               : 4
socket                     : Socket BGA1168
signature                  : Type 0, Family 6, Model 61, Stepping 4
hard drive                 : 447GiB (480GB)
current cd clock frequency : 337500 kHz
maximum cd clock frequency : 540000 kHz
displays connected         : HDMI-A-1 DP-1
Comment 11 Elizabeth 2017-08-23 17:01:07 UTC
igt@perf@i915-ref-count

Still failing on GLK with:
commit ad6ab9f96437f0cb1f4d8a7840fd9eeb894eb12e
Author:     Gustavo Padovan <gustavo.padovan@collabora.com>
AuthorDate: Fri Aug 18 15:26:42 2017 -0300
Commit:     Gustavo Padovan <gustavo.padovan@collabora.com>
CommitDate: Fri Aug 18 15:26:42 2017 -0300

    drm-tip: 2017y-08m-18d-18h-21m-46s UTC integration manifest
Comment 12 Jari Tahvanainen 2017-09-05 10:01:25 UTC
On latest 4.13.0-rc7-drm-tip-ww35-commit-ccf4ca2 GLK-1-GLKRVP1DDR405 with 
igt@perf@i915-ref-count	Pass
4.13.0-rc7-drm-tip-ww35-commit-ccf4ca2 KBL-3
igt@perf@i915-ref-count	Pass
with Component: intel-gpu-tools
    url: https://anongit.freedesktop.org/git/xorg/app/intel-gpu-tools.git
    tag: intel-gpu-tools-1.19-232-g5ce65a9
    commit: 5ce65a9a51f17e0183e3e4f8943981ee7b96cadd
    author: Katarzyna Dec <katarzyna.dec@intel.com>
    age: Thu Aug 31 15:34:50 2017 +0300 24 hours ago
    comment: pm_rps: Changes in waitboost scenario

Proposing to be marked as resolved... it would be nice to know what commit (on igt or i915) fixed this.
Comment 13 Elizabeth 2017-09-13 22:46:52 UTC
Verified on GLK, working properly.
Comment 14 Hector Velazquez 2017-09-29 21:32:03 UTC
This test are failing on CFL-S-1 QA

Tests List:

igt@perf@i915-ref-count


====================================================
Output 
====================================================
. . .
Stdout:	
IGT-Version: 1.19-g2885b10 (x86_64) (Linux: 4.14.0-rc2-drm-tip-ww39-commit-85932e1+ x86_64)
Test requirement not met in function test_i915_ref_count, file perf.c:3182:
Test requirement: init_sys_info()
Subtest i915-ref-count: SKIP (0.000s)
Stack trace:
  #0 [__igt_fail_assert+0x101]
  #1 [__real_main3226+0x24a8]
  #2 [<unknown>+0x24a8]
  
Stderr:	
(perf:3839) CRITICAL: Test assertion failure function __real_main3226, file perf.c:3249:
(perf:3839) CRITICAL: Failed assertion: drm_fd == -1
(perf:3839) CRITICAL: error: 3 != -1
Test perf failed.
**** DEBUG ****
(perf:3839) DEBUG: baseline ref count (drm fd closed) = 1
(perf:3839) DEBUG: unsupported GT
(perf:3839) igt-core-INFO: Subtest i915-ref-count: SKIP (0.000s)
(perf:3839) CRITICAL: Test assertion failure function __real_main3226, file perf.c:3249:
(perf:3839) CRITICAL: Failed assertion: drm_fd == -1
(perf:3839) CRITICAL: error: 3 != -1
(perf:3839) igt-core-INFO: Stack trace:
(perf:3839) igt-core-INFO:   #0 [__igt_fail_assert+0x101]
(perf:3839) igt-core-INFO:   #1 [__real_main3226+0x24a8]
(perf:3839) igt-core-INFO:   #2 [<unknown>+0x24a8]
****  END  ****
. . .


This is my configuration:

======================================
        Graphic stack
======================================
Component: drm
    tag: libdrm-2.4.81-56-g7c71188
    commit: 7c71188610b4ceba0339c2bc884320bcb749adee

Component: cairo
    tag: 1.15.6-42-gdccbed7
    commit: dccbed7d78d32bd3b912e8810379451dd94e6a1f

Component: intel-gpu-tools
    tag: intel-gpu-tools-1.19-334-g2885b10
    commit: 2885b10f99b4beeb046e75af8b8488c229f629d3

Component: piglit
    tag: piglit-v1
    commit: e1f66fb2fb8ad781ca755831983b6662c4c440d4
	
======================================
	     Software
======================================
kernel version              : 4.14.0-rc2-drm-tip-ww39-commit-85932e1+
hostname                    : CFL-S-1
architecture                : x86_64
os version                  : Ubuntu 16.10
os codename                 : yakkety
kernel driver               : i915
bios revision               : 104.3
bios release date           : 09/14/2017
ksc                         : 1.5
hardware acceleration       : disabled
swap partition              : enabled on (/dev/sda3
/dev/nvme0n1p3)

======================================
	Graphic drivers
======================================
libdrm                      : 2.4.83
cairo                       : 1.15.9
intel-gpu-tools (tag)       : intel-gpu-tools-1.19-334-g2885b10
intel-gpu-tools (commit)    : 2885b10

======================================
	     Hardware
======================================
motherboard model          : CoffeeLakeClientPlatform
motherboard id             : CoffeeLakeSUDIMMRVP
form factor                : Desktop
manufacturer               : IntelCorporation
cpu family                 : Other
cpu family id              : 6
cpu information            : Genuine Intel(R) CPU 0000 @ 3.60GHz
gpu card                   : Intel Corporation Device 3e92 (prog-if 00 [VGA controller])
memory ram                 : 15.58 GB
max memory ram             : 32 GB
cpu thread                 : 12
cpu core                   : 6
cpu model                  : 158
cpu stepping               : 10
socket                     : Other
hard drive                 : 111GiB (120GB)
current cd clock frequency : 337500 kHz
maximum cd clock frequency : 675000 kHz
displays connected         : eDP-1 DP-1

======================================
	     Firmware
======================================
dmc fw loaded             : yes
dmc version               : 1.1
guc fw loaded             : SUCCESS
guc version wanted        : 9.14
guc version found         : 9.14

======================================
	     kernel parameters
======================================
quiet drm.debug=0xe pci=pcie_bus_safe intel_iommu=igfx_off auto panic=1 nmi_watchdog=panic i915.alpha_support=1 i915.enable_guc_loading=2 i915.enable_guc_submission=2 resume=/dev/sda3 fastboot
Comment 15 Hector Velazquez 2017-11-08 15:11:23 UTC
This test continue failing on CFL QA

igt@perf@i915-ref-count

This is my configuration:

======================================
	Graphic stack
======================================
Component: drm
    tag: libdrm-2.4.81-79-g61ff977
    commit: 61ff9779e37179ed5106c0e2452e16500127fb9e

Component: cairo
    tag: 1.15.6-63-g3322580
    commit: 3322580f0488ff77f53d86c2b4d3cf59e6dca4c7

Component: intel-gpu-tools
    tag: intel-gpu-tools-1.19-466-g1fc4de1
    commit: 1fc4de1ca390adec9be8bd7cc0c36cab07465959

Component: piglit
    tag: piglit-v1
    commit: 65b4b197da9e4121155f2dca3fca913e677e7bf2
======================================
	     Software
======================================
kernel version              : 4.14.0-rc7-drm-intel-qa-ww44-commit-2f945d9+
hostname                    : CFL-2
architecture                : x86_64
os version                  : Ubuntu 16.10
os codename                 : yakkety
kernel driver               : i915
bios revision               : 95.4
bios release date           : 07/24/2017
ksc                         : 1.5
hardware acceleration       : disabled
swap partition              : enabled on (/dev/sda3)

======================================
	Graphic drivers
======================================
libdrm                      : 2.4.87
cairo                       : 1.15.9
intel-gpu-tools (tag)       : intel-gpu-tools-1.19-470-gc8d1ea2
intel-gpu-tools (commit)    : c8d1ea2

======================================
	     Firmware
======================================
dmc fw loaded             : yes
dmc version               : 1.1
guc fw loaded             : fetch SUCCESS, load SUCCESS
guc version wanted        : wanted 9.14, found 9.14
guc version found         : wanted 9.14, found 9.14

======================================
	     kernel parameters
======================================
quiet drm.debug=0x1e pci=pcie_bus_safe intel_iommu=igfx_off auto panic=1 nmi_watchdog=panic i915.alpha_support=1 i915.enable_guc_loading=2 i915.enable_guc_submission=2 resume=/dev/sda3 fastboot
Comment 16 Hector Velazquez 2017-11-29 20:15:37 UTC
This test continue failing on CFL QA

igt@perf@i915-ref-count

IGT-Version: 1.20-g4c57ff4 (x86_64) (Linux: 4.14.0-drm-tip-ww47-commit-f710441+ x86_64)

Component: drm
    tag: libdrm-2.4.81-108-g0ab36da
    commit: 0ab36dafaf818c35a258dac0c75b779ab2ae792b

Component: cairo
    tag: 1.15.6-88-g84fc0ce
    commit: 84fc0ce91d1a57d20500f710abc0e17de82c67df

Component: intel-gpu-tools
    tag: intel-gpu-tools-1.19-541-g5b3619f
    commit: 5b3619f3751ecef55fa993984ddb59a458fcebed

Component: piglit
    tag: piglit-v1
    commit: cb562a383229074b44db6998b85572d2abe7c363
Comment 17 Lionel Landwerlin 2018-01-29 14:19:34 UTC
You need this commit :

commit 58319bd5dd126c31ae6137b9bf596e7965dbd1f3
Author: Lionel Landwerlin <lionel.g.landwerlin@intel.com>
Date:   Wed Dec 6 19:41:31 2017 +0000

    tests/perf: enable testing on Coffeelake GT3
    
    Add the test config uuid for GT3.
    
    Signed-off-by: Lionel Landwerlin <lionel.g.landwerlin@intel.com>
    Reviewed-by: Matthew Auld <matthew.auld@intel.com>


To make it work on CFL GT3.
Comment 18 Ricardo Perez 2018-01-29 22:03:01 UTC
For CoffeeLake S UDIMM RVP QA system, the following test is failing:

igt@perf@i915-ref-count

Running:

IGT-Version: 1.21-g37bd27f (x86_64) (Linux: 4.15.0-rc9-drm-intel-qa-ww4-commit-59275f1+ x86_64)


**** DEBUG ****
(perf:12514) DEBUG: baseline ref count (drm fd closed) = 1
(perf:12514) DEBUG: unsupported Coffeelake GT size
(perf:12514) igt-core-INFO: Subtest i915-ref-count: SKIP (0.000s)
(perf:12514) CRITICAL: Test assertion failure function __real_main4393, file perf.c:4416:
(perf:12514) CRITICAL: Failed assertion: drm_fd == -1
(perf:12514) CRITICAL: error: 3 != -1
(perf:12514) igt-core-INFO: Stack trace:
(perf:12514) igt-core-INFO:   #0 [__igt_fail_assert+0x101]
(perf:12514) igt-core-INFO:   #1 [__real_main4393+0x2845]
(perf:12514) igt-core-INFO:   #2 [<unknown>+0x2845]
****  END  ****
Comment 19 Ricardo Perez 2018-01-29 22:05:10 UTC
Created attachment 137041 [details]
CFL-Kern-Log

CoffeeLake S UDIMM RVP Kernel Log File
Comment 20 Ricardo Perez 2018-01-31 06:17:14 UTC
The following test is still failing on CoffeeLake S UDIMM RVP QA system:
for igt@perf@i915-ref-count


Running:
IGT-Version: 1.21-g37bd27f (x86_64) (Linux: 4.15.0-drm-intel-qa-ww5-commit-5f9f363+ x86_64)

**** DEBUG ****
(perf:28021) DEBUG: baseline ref count (drm fd closed) = 1
(perf:28021) DEBUG: unsupported Coffeelake GT size
(perf:28021) igt-core-INFO: Subtest i915-ref-count: SKIP (0.000s)
(perf:28021) CRITICAL: Test assertion failure function __real_main4393, file perf.c:4416:
(perf:28021) CRITICAL: Failed assertion: drm_fd == -1
(perf:28021) CRITICAL: error: 3 != -1
(perf:28021) igt-core-INFO: Stack trace:
(perf:28021) igt-core-INFO:   #0 [__igt_fail_assert+0x101]
(perf:28021) igt-core-INFO:   #1 [__real_main4393+0x2845]
(perf:28021) igt-core-INFO:   #2 [<unknown>+0x2845]
****  END  ****
Comment 21 Ricardo Perez 2018-01-31 06:17:48 UTC
Created attachment 137065 [details]
CFL-dmesg-kernel-logs
Comment 22 Octavio 2018-02-09 23:00:15 UTC
This fail is still present on CFL 

Test list
====================================================
igt@perf@i915-ref-count
==================================================
IGT-Version: 1.21-g94bd67c (x86_64) (Linux: 4.15.0-drm-intel-qa-ww6-commit-6c10ba2+ x86_64)

(perf:1986) CRITICAL: Test assertion failure function __real_main4393, file perf.c:4416:
(perf:1986) CRITICAL: Failed assertion: drm_fd == -1
(perf:1986) CRITICAL: error: 3 != -1
Stack trace:
  #0 [__igt_fail_assert+0x101]
  #1 [__real_main4393+0x24bb]
  #2 [<unknown>+0x24bb]
Test perf failed.
Comment 23 Elizabeth 2018-03-02 23:44:08 UTC
The CFL issue is different from the original reported, but since this bug has been used for that since comment 14 and no other bug about it is open, I'll reuse this one. For future references, please post only if it's the same issue. Thank you.
Comment 24 Jani Saarinen 2018-03-29 07:10:57 UTC
First of all. Sorry about spam.
This is mass update for our bugs. 

Sorry if you feel this annoying but with this trying to understand if bug still valid or not.
If bug investigation still in progress, please ignore this and I apologize!

If you think this is not anymore valid, please comment to the bug that can be closed.
If you haven't tested with our latest pre-upstream tree(drm-tip), can you do that also to see if issue is valid there still and if you cannot see issue there, please comment to the bug.
Comment 25 Elizabeth 2018-04-02 17:25:54 UTC
Results for igt@perf@i915-ref-count
Result: fail

Out	
IGT-Version: 1.22-g0721161 (x86_64) (Linux: 4.16.0-rc6-drm-intel-qa-ww12-commit-4db112a+ x86_64)
Test requirement not met in function test_i915_ref_count, file perf.c:4043:
Test requirement: init_sys_info()
Subtest i915-ref-count: SKIP (0.000s)
Stack trace:
  #0 [__igt_fail_assert+0x101]
  #1 [__real_main4086+0x2400]
  #2 [<unknown>+0x2400]
  #3 [<unknown>+0x2400]
Err	
(perf:13112) CRITICAL: Test assertion failure function __real_main4086, file perf.c:4109:
(perf:13112) CRITICAL: Failed assertion: drm_fd == -1
(perf:13112) CRITICAL: error: 3 != -1
Test perf failed.
**** DEBUG ****
(perf:13112) DEBUG: baseline ref count (drm fd closed) = 1
(perf:13112) DEBUG: unsupported Coffeelake GT size
(perf:13112) igt-core-INFO: Subtest i915-ref-count: SKIP (0.000s)
(perf:13112) CRITICAL: Test assertion failure function __real_main4086, file perf.c:4109:
(perf:13112) CRITICAL: Failed assertion: drm_fd == -1
(perf:13112) CRITICAL: error: 3 != -1
(perf:13112) igt-core-INFO: Stack trace:
(perf:13112) igt-core-INFO:   #0 [__igt_fail_assert+0x101]
(perf:13112) igt-core-INFO:   #1 [__real_main4086+0x2400]
(perf:13112) igt-core-INFO:   #2 [<unknown>+0x2400]
(perf:13112) igt-core-INFO:   #3 [<unknown>+0x2400]
****  END  ****
Comment 26 Lionel Landwerlin 2018-04-07 12:35:09 UTC
Fix sent here, waiting for review :

https://patchwork.freedesktop.org/patch/211473/
Comment 27 Lionel Landwerlin 2019-02-04 14:15:32 UTC
*** Bug 109545 has been marked as a duplicate of this bug. ***
Comment 28 umesh 2019-11-01 18:33:29 UTC
The IGT perf tests rely on gt information from devinfo to determine the test_config uuid that needs to be passed to the driver to enable the tests.

intel_gt function in IGT needs to change to return the correct encoding.

Fix from Lionel - https://patchwork.freedesktop.org/patch/222867/

Mashine: cfl
Repro rate: 100%
Test Coverage Impact: IGT perf tests will fail on CFL
User Impact: None. This issue affects IGT primarily. Functionality of perf or the i915 driver is not affected.
Comment 29 Martin Peres 2019-11-29 17:24:35 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to freedesktop.org's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.freedesktop.org/drm/intel/issues/38.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.